# Uses of Interface
java.lang.classfile.Signature.ClassTypeSig

Packages that use Signature.ClassTypeSig
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.ClassTypeSig in java.lang.classfile

Methods in java.lang.classfile that return Signature.ClassTypeSig
Modifier and Type
Method
Description
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(Signature.ClassTypeSig outerType, ClassDesc className, Signature.TypeArg... typeArgs)`
Returns a class or interface signature.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(Signature.ClassTypeSig outerType, String className, Signature.TypeArg... typeArgs)`
Returns a class type signature.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(ClassDesc className, Signature.TypeArg... typeArgs)`
Returns a class or interface signature without an outer type.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(String className, Signature.TypeArg... typeArgs)`
Returns a class or interface signature without an outer type.
`Signature.ClassTypeSig`
ClassSignature.`superclassSignature()`
Returns the instantiation of the superclass in this signature.
Methods in java.lang.classfile that return types with arguments of type Signature.ClassTypeSig
Modifier and Type
Method
Description
`Optional<Signature.ClassTypeSig>`
Signature.ClassTypeSig.`outerType()`
Returns the signature of the class that this class is a member of, only if this is a member class.
`List<Signature.ClassTypeSig>`
ClassSignature.`superinterfaceSignatures()`
Returns the instantiation of the interfaces in this signature, may be empty.
Methods in java.lang.classfile with parameters of type Signature.ClassTypeSig
Modifier and Type
Method
Description
`static ClassSignature`
ClassSignature.`of(Signature.ClassTypeSig superclassSignature, Signature.ClassTypeSig... superinterfaceSignatures)`
Returns a class signature with no type parameter declaration.
`static ClassSignature`
ClassSignature.`of(List<Signature.TypeParam> typeParameters, Signature.ClassTypeSig superclassSignature, Signature.ClassTypeSig... superinterfaceSignatures)`
Returns a class signature.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(Signature.ClassTypeSig outerType, ClassDesc className, Signature.TypeArg... typeArgs)`
Returns a class or interface signature.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(Signature.ClassTypeSig outerType, String className, Signature.TypeArg... typeArgs)`
Returns a class type signature.